sourceTypes

2 endpoints
GET/rest/sourceTypes

List all ECM source types

Returns a list of available ECM source types, including each type's name and whether users can configure sources of that type.

Parameters
Query Parameters
mode
Optional
boolean

Filter source types by mode flag.

orderBy
Optional
string[]

Sorting options


Responses

List of ECM source types retrieved successfully.

id
integer

Unique identifier of Source type

name
string

Display name of the source type

userCanSet
boolean

Indicates whether the user can set this source type

links
string[]

HATEOAS links associated with the entity

Request blocked by WAF

Empty response body.
Shell
curl -X GET \
  "https://{instance}.kiteworks.com/rest/sourceTypes" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

url = "https://{instance}.kiteworks.com/rest/sourceTypes"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.get(url, headers=headers)
print(response.json())
Responses
{ "data": [ { "id": 1, "name": "SharePoint", "userCanSet": true }, { "id": 2, "name": "OneDrive", "userCanSet": true } ] }
// Error - No Body
GET/rest/sourceTypes/{id}

Returns requested ECM source type

Returns the details of the specified ECM source type, including its name and whether users can configure sources of that type.

Parameters
Path Parameters
id
Required
integer

ID of the sourceType to be retrieved


Responses

ECM source type details retrieved successfully.

id
integer

Unique identifier of Source type

name
string

Display name of the source type

userCanSet
boolean

Indicates whether the user can set this source type

links
string[]

HATEOAS links associated with the entity

Request blocked by WAF

Empty response body.
Shell
curl -X GET \
  "https://{instance}.kiteworks.com/rest/sourceTypes/:id" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

id = "VALUE"  # ID of the sourceType to be retrieved

url = f"https://{{instance}}.kiteworks.com/rest/sourceTypes/{id}"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.get(url, headers=headers)
print(response.json())
Responses
{ "id": 1, "name": "SharePoint", "userCanSet": true }
// Error - No Body